Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.common.ui
Class PreferencesStore

    java.lang.Object
      com.sshtools.common.ui.PreferencesStore

public class PreferencesStore
extends java.lang.Object

DOCUMENT ME!

Field Summary
`protected static org.apache.commons.logging.Log` | `log` DOCUMENT ME!

Constructor Summary
`PreferencesStore()`

Method Summary
`static java.lang.String` | `get(java.lang.String name, java.lang.String def)` DOCUMENT ME!
`static boolean` | `getBoolean(java.lang.String name, boolean def)` DOCUMENT ME!
`static double` | `getDouble(java.lang.String name, double def)` DOCUMENT ME!
`static int` | `getInt(java.lang.String name, int def)` DOCUMENT ME!
`static java.awt.Rectangle` | `getRectangle(java.lang.String name, java.awt.Rectangle def)` DOCUMENT ME!
`static void` | `init(java.io.File file)` DOCUMENT ME!
`static boolean` | `isStoreAvailable()` DOCUMENT ME!
`static boolean` | `preferenceExists(java.lang.String name)` DOCUMENT ME!
`static void` | `put(java.lang.String name, java.lang.String val)` DOCUMENT ME!
`static void` | `putBoolean(java.lang.String name, boolean val)` DOCUMENT ME!
`static void` | `putDouble(java.lang.String name, double val)` DOCUMENT ME!
`static void` | `putInt(java.lang.String name, int val)` DOCUMENT ME!
`static void` | `putRectangle(java.lang.String name, java.awt.Rectangle val)` DOCUMENT ME!
`static void` | `restoreTableMetrics(javax.swing.JTable table, java.lang.String pref, int[] defaultWidths)` DOCUMENT ME!
`static void` | `savePreferences()` DOCUMENT ME!
`static void` | `saveTableMetrics(javax.swing.JTable table, java.lang.String pref)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

  DOCUMENT ME!

Constructor Detail

### PreferencesStore

    public PreferencesStore()

Method Detail

### saveTableMetrics

    public static void saveTableMetrics(javax.swing.JTable table,
                                        java.lang.String pref)

  DOCUMENT ME!

  Parameters:
    `table` - DOCUMENT ME!
    `pref` - DOCUMENT ME!

### restoreTableMetrics

    public static void restoreTableMetrics(javax.swing.JTable table,
                                           java.lang.String pref,
                                           int[] defaultWidths)

  DOCUMENT ME!

  Parameters:
    `table` - DOCUMENT ME!
    `pref` - DOCUMENT ME!
    `defaultWidths` - DOCUMENT ME!
  Throws:
    `java.lang.IllegalArgumentException` - DOCUMENT ME!

### isStoreAvailable

    public static boolean isStoreAvailable()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### init

    public static void init(java.io.File file)

  DOCUMENT ME!

  Parameters:
    `file` - DOCUMENT ME!

### savePreferences

    public static void savePreferences()

  DOCUMENT ME!

### get

    public static java.lang.String get(java.lang.String name,
                                       java.lang.String def)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
    `def` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### put

    public static void put(java.lang.String name,
                           java.lang.String val)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
    `val` - DOCUMENT ME!

### getRectangle

    public static java.awt.Rectangle getRectangle(java.lang.String name,
                                                  java.awt.Rectangle def)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
    `def` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### putRectangle

    public static void putRectangle(java.lang.String name,
                                    java.awt.Rectangle val)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
    `val` - DOCUMENT ME!

### getInt

    public static int getInt(java.lang.String name,
                             int def)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
    `def` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getDouble

    public static double getDouble(java.lang.String name,
                                   double def)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
    `def` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### putInt

    public static void putInt(java.lang.String name,
                              int val)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
    `val` - DOCUMENT ME!

### putDouble

    public static void putDouble(java.lang.String name,
                                 double val)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
    `val` - DOCUMENT ME!

### getBoolean

    public static boolean getBoolean(java.lang.String name,
                                     boolean def)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
    `def` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### putBoolean

    public static void putBoolean(java.lang.String name,
                                  boolean val)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
    `val` - DOCUMENT ME!

### preferenceExists

    public static boolean preferenceExists(java.lang.String name)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD